Method: projects.locations.repositories.workspaces.deleteBranch

Deletes a branch in a workspace.

HTTP request


POST https://dataform.googleapis.com/v1beta1/{name=projects/*/locations/*/repositories/*/workspaces/*}:deleteBranch

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The workspace resource name. Format: projects/{project}/locations/{location}/repositories/{repository}/workspaces/{workspace}

Request body

The request body contains data with the following structure:

JSON representation
{
  "branch": string,
  "force": boolean
}
Fields
branch

string

Required. The name of the branch in the Git repository to delete.

force

boolean

Optional. If set to true, any non-pushed commits on the branch are deleted. The upstream branch name is the same as the branch to delete.

Response body

If successful, the response body is empty.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/bigquery

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • dataform.workspaces.deleteBranch

For more information, see the IAM documentation.